mxConnectionConstraint (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.view
Class mxConnectionConstraint

    java.lang.Object
      com.mxgraph.view.mxConnectionConstraint

    public class mxConnectionConstraint

extends Object

Defines an object that contains the constraints about how to connect one side of an edge to its terminal.

Field Summary
`protected boolean` | `perimeter` Boolean that specifies if the point should be projected onto the perimeter of the terminal.
`protected mxPoint` | `point` Point that specifies the fixed location of the connection point.

Constructor Summary
`mxConnectionConstraint()` Constructs an empty connection constraint.
`mxConnectionConstraint(mxPoint point)` Constructs a connection constraint for the given point.
`mxConnectionConstraint(mxPoint point, boolean perimeter)` Constructs a new connection constraint for the given point and boolean arguments.

Method Summary
`mxPoint` | `getPoint()` Returns the point.
`boolean` | `isPerimeter()` Returns perimeter.
`void` | `setPerimeter(boolean value)` Sets perimeter.
`void` | `setPoint(mxPoint value)` Sets the point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### point

    protected mxPoint point

  Point that specifies the fixed location of the connection point.

### perimeter

    protected boolean perimeter

  Boolean that specifies if the point should be projected onto the perimeter of the terminal.

Constructor Detail

### mxConnectionConstraint

    public mxConnectionConstraint()

  Constructs an empty connection constraint.

### mxConnectionConstraint

    public mxConnectionConstraint(mxPoint point)

  Constructs a connection constraint for the given point.

### mxConnectionConstraint

    public mxConnectionConstraint(mxPoint point,
                                  boolean perimeter)

  Constructs a new connection constraint for the given point and boolean arguments.

  Parameters:
    `point` - Optional mxPoint that specifies the fixed location of the point in relative coordinates. Default is null.
    `perimeter` - Optional boolean that specifies if the fixed point should be projected onto the perimeter of the terminal. Default is true.

Method Detail

### getPoint

    public mxPoint getPoint()

  Returns the point.

### setPoint

    public void setPoint(mxPoint value)

  Sets the point.

### isPerimeter

    public boolean isPerimeter()

  Returns perimeter.

### setPerimeter

    public void setPerimeter(boolean value)

  Sets perimeter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.